Go to the latest version of this document.

# ``twisted`.`internet`.`error`.`ConnectError``

exception documentation

`class ConnectError(Exception): (source)`

Known subclasses: `twisted.internet.error.BadFileError`, `twisted.internet.error.ConnectBindError`, `twisted.internet.error.ConnectionRefusedError`, `twisted.internet.error.NoRouteError`, `twisted.internet.error.ServiceNameUnknownError`, `twisted.internet.error.SSLError`, `twisted.internet.error.TCPTimedOutError`, `twisted.internet.error.UnknownHostError`, `twisted.internet.error.UserError`

Constructor: `ConnectError(osError, string)`

View In Hierarchy

Undocumented

Method | `__init__` | Undocumented
Method | `__str__` | Undocumented
Constant | `MESSAGE` | Undocumented
Class Variable | `__doc__` | Undocumented
Instance Variable | `osError` | Undocumented

def __init__(self, osError=None, string=''): (source)

Undocumented

def __str__(self) -> `str`: (source)

Undocumented

MESSAGE: `str` = (source)
overridden in `twisted.internet.error.BadFileError`, `twisted.internet.error.ConnectBindError`, `twisted.internet.error.ConnectionRefusedError`, `twisted.internet.error.NoRouteError`, `twisted.internet.error.ServiceNameUnknownError`, `twisted.internet.error.SSLError`, `twisted.internet.error.TCPTimedOutError`, `twisted.internet.error.UnknownHostError`, `twisted.internet.error.UserError`

Undocumented

Value

    'An error occurred while connecting'

__doc__: `str` = (source)
overridden in `twisted.internet.error.BadFileError`, `twisted.internet.error.ConnectBindError`, `twisted.internet.error.ConnectionRefusedError`, `twisted.internet.error.NoRouteError`, `twisted.internet.error.ServiceNameUnknownError`, `twisted.internet.error.SSLError`, `twisted.internet.error.TCPTimedOutError`, `twisted.internet.error.UnknownHostError`, `twisted.internet.error.UserError`

Undocumented

osError = (source)

Undocumented